Package org.eclipse.lemminx.settings

## Class XMLCodeLensSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.XMLCodeLensSettings

    public class XMLCodeLensSettings
    extends Object

XML CodeLens settings

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLCodeLensSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEnabled()` Returns true if codelens service is enabled and false otherwise.
`boolean` `isSupportedByClient​(String kind)` Returns true if the given code lens kind is supported by the client and false otherwise.
`void` `merge​(XMLCodeLensSettings newSettings)`
`void` `setCodeLens​(ExtendedCodeLensCapabilities codeLens)` Update the codelens client capabilities.
`void` `setEnabled​(boolean enabled)` Set true if codelens service is enabled and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLCodeLensSettings

    public XMLCodeLensSettings()

### Method Detail

#### isEnabled

    public boolean isEnabled()

Returns true if codelens service is enabled and false otherwise.

Returns:
  true if codelens service is enabled and false otherwise.

#### setEnabled

    public void setEnabled​(boolean enabled)

Set true if codelens service is enabled and false otherwise.

Parameters:
  `enabled` -

#### isSupportedByClient

    public boolean isSupportedByClient​(String kind)

Returns true if the given code lens kind is supported by the client and false otherwise.

Parameters:
  `kind` - code lens kind
Returns:
  true if the given code lens kind is supported by the client and false otherwise.

#### setCodeLens

    public void setCodeLens​(ExtendedCodeLensCapabilities codeLens)

Update the codelens client capabilities.

Parameters:
  `codelens` - client capabilities

#### merge

    public void merge​(XMLCodeLensSettings newSettings)